/***
*** 
***/
#ifndef VIIOFUNS_H
#define VIIOFUNS_H

#include "std.h"
#include "dvstd.h"

#include "VIdirent.h"

typedef struct dvcformat_s *DV_CFORMAT_PTR;

/* VI/VIdirectry.c */
VIDIR *VIopendir V_P_((char *dirname));
VIDIRENT *VIreaddir V_P_((VIDIR *dirp));
int VIclosedir V_P_((VIDIR *dirp));

/* VI/VIfindfile.c */
int VIfind_files V_P_((char *filename_pattern,  char *filepath,
	 char **expanded_filenames));
char *VIexpand_filepath V_P_((char *filepath));

/* VI/VIfopen.c */
FILE *VIattempt_open V_P_((char *filename,  char *expanded_name));
FILE *VIfopen V_P_((char *filename));
FILE *VIpopen V_P_((char *filename, char *type));
void VIsystem V_P_((char *syscommand));
char *VIexpandfilename V_P_((char *filename,  char *expanded_name));

/* VI/VIfreadl.c */
LONG VIfreadl V_P_((ADDRESS buffer,  size_t size,  LONG count,
	 FILE *stream));

/* VI/VIfwritel.c */
LONG VIfwritel V_P_((ADDRESS buffer,  size_t size,  LONG count,
	 FILE *stream));

/* VI/VIprintf.c */
char *VIsprintf V_P_((char *buf,  LONG buf_siz,  char *format,  ...));

void VIsetbufsize V_P_((LONG size));

BOOLPARAM VIsprintfCheckFormat V_P_((CHAR *format, CHAR *conv_type,
				      INT *min_width, INT vdp_type,
				      DV_CFORMAT_PTR cformat));

#endif /*VIIOFUNS_H*/
